package cn.com.poc.knowledge.dto;

/**
 * Model class for biz_member_knowledge_relation
 * 用户-知识库关联
 */
public class BizMemberKnowledgeRelationDto {


  
    /** id
    *主键
    */ 
    private Integer id;
    
    public Integer getId(){
        return this.id;
    }
    
    public void setId(Integer id){
        this.id = id;
    }
    
  
    /** member_id
    *aigc用户关联ID
    */ 
    private String memberId;
    
    public String getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(String memberId){
        this.memberId = memberId;
    }
    
  
    /** member_type
    *用户类型 corp-企业 member-用户
    */ 
    private String memberType;
    
    public String getMemberType(){
        return this.memberType;
    }
    
    public void setMemberType(String memberType){
        this.memberType = memberType;
    }
    
  
    /** kd_id
    *知识库ID
    */
    private Integer kdId;

    public Integer getKdId() {
        return kdId;
    }

    public void setKdId(Integer kdId) {
        this.kdId = kdId;
    }

    /** is_deleted
    *是否删除 Y 是  N 否
    */ 
    private String isDeleted;
    
    public String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(String isDeleted){
        this.isDeleted = isDeleted;
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private String creator;
    
    public String getCreator(){
        return this.creator;
    }
    
    public void setCreator(String creator){
        this.creator = creator;
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private String modifier;
    
    public String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private Integer sysVersion;
    
    public Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(Integer sysVersion){
        this.sysVersion = sysVersion;
    }
    

}